<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>TASK 5.20 Message to me</title>

    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>

  </head>
  <body onload="onPageLoading()">
    <div class = "jumbotron container"> 
      <h1 class="text-center text-uppercase" id = "h1-loi-chao">Chào mừng đến với Devcamp120</h1>
      <div class="text-center">
        <img class="rounded" id = "img-programing" src="images/programing.png" /> <br />
        <div>
          <label class="font-weight-bold" id = "label-message">Message cho bạn 12 tháng tới</label> <br />
        </div>
        <div>
          <input class="form-control" id ="iput-message" placeholder="Nhập message..." /><br />
        </div>
      </div>
      <br />
      <div>
        <button class="btn btn-success" id = "btn-send-message" onclick="onSendMessageToMe()" >Gửi thông điệp</button>
      </div>
      <div class="form-group">
        <div>
          <p class="font-italic text-primary" style="display: none;" id ="p-message">Hiển thị thông điệp ở đây</p>
        </div>
        <div>
          <img class="w-25" style="display: none;" id ="img-like-yellow" src="images/like-yellow-icon.png" />
        </div>
      </div>
    </div>
    
   
  </body>
  
  <script>
    //hàm sử lý việc tải trang
    function onPageLoading() {
      //truy xuất được các thẻ html
      var vLoiChao = document.getElementById("h1-loi-chao");
      var vImgPrograming = document.getElementById("img-programing");
      var vlabelMessage = document.getElementById("label-message");
      var vInputMessage = document.getElementById("iput-message");
      var vSendMessage = document.getElementById("btn-send-message");
      var pMessage = document.getElementById("p-message");
      var imgLikeYellow = document.getElementById("img-like-yellow");

      console.log("id lời chào là: " + vLoiChao.id);
      console.log("innerHTML lời chào là: " + vLoiChao.innerHTML);

      console.log("id của hình 1 là: " + vImgPrograming.id);
      console.log("src của hình 1 là: " + vImgPrograming.src);

      console.log("id nhãn là: " + vlabelMessage.id);
      console.log("innerHTML nhãn là: " + vlabelMessage.innerHTML);

      console.log("id input là: " + vInputMessage.id);
      console.log("placholder của input là: " + vInputMessage.placeholder);

      console.log("id gửi tin nhắn là: " + vSendMessage.id);
      console.log("innerHTML gửi tin nhắn là: " + vSendMessage.innerHTML);

      console.log("id của p là: " + pMessage.id);
      console.log("innerHTML của p là: " + pMessage.innerHTML);

      console.log("id của hình bàn tay là: " + imgLikeYellow.id);
      console.log("src của hình 2 là: " + imgLikeYellow.src);
    }

    //hàm xử lý việc ấn nút
    function onSendMessageToMe() {
        console.log("Send message to me");

        //Subtask5: lấy giá trị ô text và ghi vào console 
        //Bước 1: Truy xuất ô text
        var inputMessage = document.getElementById("iput-message");
        //bước 2: lấy giá trị của ô text và lưu vào một biến
        var thongDiep = inputMessage.value;
        //Bước 3: Hiển thị ra console
        console.log(thongDiep);

        //subtask 6
        //bước 1: truy xuất thẻ p
        var pMessage = document.getElementById("p-message");
        //bước 2: gán giá trị ô text cho thẻ p
        pMessage.innerHTML = thongDiep;
        //bước 3: hiển thị thẻ p lên 
        pMessage.style.display = "block";

        //subtask 7: Hiển thị ảnh bàn tay 
        //bước 1: truy xuất thẻ img 
        var imgLikeYellow = document.getElementById("img-like-yellow");
        //bước 2: hiển thị lên
        imgLikeYellow.style.display = "block";
      }
  </script>
</html>
